# ApplicationFramework
TKPShape
PGeom

# PGeom_BoundedSurface Class Reference

`#include <PGeom_BoundedSurface.hxx>`

Inheritance diagram for PGeom_BoundedSurface:

[legend]

## Public Member Functions

| PGeom_BoundedSurface (const Storage_stCONSTclCOM &a)
| PGeom_BoundedSurface ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

PGeom_BoundedSurface::PGeom_BoundedSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

PGeom_BoundedSurface::PGeom_BoundedSurface | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PGeom_BoundedSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Surface. Reimplemented in PGeom_BezierSurface, PGeom_BSplineSurface, and PGeom_RectangularTrimmedSurface.

The documentation for this class was generated from the following file:

- PGeom_BoundedSurface.hxx